Skip to main content

Pi Cycle Top Estimate

pi-cycle-top-estimate

Chart: Pi Cycle Top Estimate

Parameters

NameTypeDescriptionRequired
start_datestringStart date in YYYY-MM-DD formatNo
end_datestringEnd date in YYYY-MM-DD formatNo
latestboolIf true, returns the current valueNo

Output

IndexNameTypeDescription
0datestringDate (ISO)
1closing_pricestringClosing price
2sma111stringSMA111
3sma350_x_2stringSMA350 x 2
4sma111_projectionstringSMA111 projection (future only)
5sma350x2_projectionstringSMA350x2 projection (future only)

Example Request

https://charts.bitbo.io/api/v1/pi-cycle-top-estimate/?start_date=2025-05-07&end_date=2025-05-09

Example Request with Latest

https://charts.bitbo.io/api/v1/pi-cycle-top-estimate/?latest=true

Code Samples

curl "https://charts.bitbo.io/api/v1/pi-cycle-top-estimate/?start_date=2025-05-07&end_date=2025-05-09&api_key=YOUR_API_KEY"

Example Output

{
"data": [
[
"2025-05-07",
"12.34",
"12.34",
"0.12",
"12.34",
"12.34"
],
[
"2025-05-08",
"23.45",
"23.45",
"0.23",
"23.45",
"23.45"
],
[
"2025-05-09",
"34.56",
"34.56",
"0.34",
"34.56",
"34.56"
]
]
}